textures/sng/m_damage_mask
{
	qer_editorimage textures/sng/m_damage.tga
	surfaceparm nomarks
	q3map_nonplanar
    {
		map textures/sng/m_damage.tga
		blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }	
    {
		//map textures/sng/m_damage_effect3.jpg
		map textures/sng/battery_clouds.tga
        //tcmod scale 2 0.2
        //tcmod scroll 1 1
		tcMod turb 0 .5 0 0.3
        //blendFunc GL_ONE GL_ONE
		blendfunc add
        //rgbGen identity                
		rgbGen wave sin 0.5 0.5 0.5 0.5
		
		//rgbGen const ( 1 0.0 0.0 )
	}
	{
		map textures/sng/m_damage_mask.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
		blendFunc filter
	}
}

textures/sng/m_damage_nomask
{
	qer_editorimage textures/sng/m_damage_mask.tga
	implicitMap textures/sng/m_damage_mask.tga
}

textures/sng/cel
{
	qer_editorimage textures/airwaves/blue.tga
	q3map_surfacelight 50
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_invert
	q3map_offset -2.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	sort 16
	
	{
		map gfx/colors/black.tga
		rgbGen identity
	}
}

textures/sng/m_ice
{
	qer_editorimage textures/sng/m_ice_editorimage.tga	
	surfaceparm slick
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_ice.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_ice_noshade
{
	qer_editorimage textures/sng/m_ice_editorimage.tga	
	surfaceparm slick
	q3map_nonPlanar
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_ice.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_ice_redsurf
{
	qer_editorimage textures/sng/m_ice_editorimage_redsurf.tga	
	surfaceparm slick
	q3map_nonplanar
	q3map_lightimage textures/sng/lightimage_red.jpg
	q3map_surfacelight 300
	q3map_backSplash 100 16 //percentage distance
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_ice.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
	// {
   	//     map textures/sng/m_ice_effect.jpg
   	// 	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
    // 	rgbGen identity
    // 	tcGen environment
    // }
}

textures/sng/m_ice_cushion
{
	qer_editorimage textures/sng/m_ice_cushion_editorimage.tga	
	surfaceparm slick
	surfaceparm nodamage
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_ice.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_ice_obcushion
{
	qer_editorimage textures/sng/m_ice_cushion_ob_editorimage.tga	
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm monsterslicksouth
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_ice.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_glide
{
	implicitMap textures/sng/m_glide.tga
}

textures/sng/m_ladder
{
	implicitMap textures/sng/m_ladder.tga
}

textures/sng/m_skim
{
	implicitMap textures/sng/m_skim.tga
}

textures/sng/m_slide
{
	implicitMap textures/sng/m_slide.tga
}

textures/sng/m_stepup
{
	implicitMap textures/sng/m_stepup.tga
}

textures/sng/m_wall
{
	implicitMap textures/sng/m_wall.tga
}

textures/sng/m_water
{
	implicitMap textures/sng/m_water.tga
}

textures/sng/m_prone
{
	implicitMap textures/sng/m_prone.tga
}

textures/sng/m_ice_noenv
{
	implicitMap textures/sng/m_ice_noenv.tga
}

textures/sng/m_water_ice
{
	qer_editorimage textures/sng/m_water_ice.tga	
	surfaceparm slick
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_water.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_stepup_ice
{
	qer_editorimage textures/sng/m_stepup_ice.tga	
	surfaceparm slick
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_stepup.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_skim_ice
{
	qer_editorimage textures/sng/m_skim_ice.jpg	
	surfaceparm slick
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_skim.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_cushion
{
	qer_editorimage textures/sng/m_cushion.tga
	surfaceparm nodamage
	implicitMap textures/sng/m_cushion.tga
}

textures/sng/m_cushion_ob
{
	qer_editorimage textures/sng/m_cushion_editor.tga
	surfaceparm nodamage
	surfaceparm monsterslicksouth
	implicitMap textures/sng/m_cushion.tga
}

textures/sng/m_cushion_ice
{
	qer_editorimage textures/sng/m_cushion_ice.tga	
	surfaceparm slick
	surfaceparm nodamage
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_cushion.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/m_cushion_ice_ob
{
	qer_editorimage textures/sng/m_cushion_obice.tga	
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm monsterslicksouth
	q3map_lightmapMergable
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/m_cushion.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}  
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/z_vine
{
	qer_editorimage textures/sng/z_vine.tga
	q3map_cloneShader textures/sng/z_vine_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.80

	{
		map textures/sng/z_vine.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/sng/z_vine_back
{
	qer_editorimage textures/sng/z_vine.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	
	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/sng/z_vine.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/sng/z_water_nolm
{
	qer_editorimage textures/sng/pool3d_3e.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks

	
	
	q3map_globaltexture
	tessSize 256
	q3map_lightimage textures/sng/pool3d_3e.tga

	cull none
	nopicmip
	noMipMaps
	deformVertexes wave 64 sin .25 .25 0 .5	
	// deformVertexes bulge 128 5 2	
	

	
	{ 
		map textures/sng/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/sng/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .1 .1
	}
}

textures/sng/z_water
{
	qer_editorimage textures/sng/pool3d_3e.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	
	q3map_lightimage textures/sng/pool3d_3e.tga
	//q3map_surfacelight 100
    //q3map_bounceScale 0.1

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/sng/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/sng/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .1 .1
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/sng/z_hipshotwater
{
	qer_trans 0.5
	qer_editorimage textures/hipshot_m8/water.tga
	q3map_globaltexture
	tessSize 256
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	// surfaceparm water
	// surfaceparm nolightmap
	nopicmip
	noMipMaps
	cull none
	//deformVertexes normal .15 2 
	//deformVertexes bulge 128 5 2	
	deformVertexes wave 70 sin 1 1 .5 .5
	{
		map textures/hipshot_m8/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_SRC_ALPHA GL_ONE //"add" instead of "alpha blend"
		rgbGen identity
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 .15 0 .015	
	}	
	{
		map textures/hipshot_m8/water2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_SRC_ALPHA GL_ONE //"add" instead of "alpha blend"
		rgbGen identity
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 -.15 0 -.015				
	}			
		{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/sng/z_hipshotwater_nolm
{
	qer_trans 0.8
	qer_editorimage textures/sng/hipshot/water_e.tga
	q3map_globaltexture
	tessSize 256
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap
	nopicmip
	noMipMaps
	cull none
	//deformVertexes normal .15 2 
	//deformVertexes bulge 128 5 2	
	deformVertexes wave 70 sin 1 1 .5 .5
	{
		map textures/sng/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_SRC_ALPHA GL_ONE //"add" instead of "alpha blend"
		rgbGen identity
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 .15 0 .015	
	}	
	{
		map textures/sng/water2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_SRC_ALPHA GL_ONE //"add" instead of "alpha blend"
		rgbGen identity
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 -.15 0 -.015				
	}			

}


textures/sng/base_ice
{
	qer_editorimage textures/sng/base_ice.tga
	surfaceparm slick
	q3map_nonPlanar
	q3map_shadeAngle 89
	tessSize 256
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/sng/base.tga
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/sng/m_ice_effect.jpg
		tcgen environment
		blendfunc add
	}
}

textures/sng/glass
{
	qer_editorimage textures/common/dirtymirror2.tga
	qer_trans 0.999
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/sng/glass2
{
	qer_editorimage textures/common/dirtymirror2.tga
	qer_trans 0.999
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		depthWrite
	}
}